%define major	0
%define libname	%mklibname dxfrw %{major}
%define devname	%mklibname dxfrw -d

Name:		libdxfrw
Summary:	Library to read dwg and read/write dxf files
Version:	0.6.3
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Libraries
Url:		http://sourceforge.net/projects/libdxfrw/
Source0:	http://download.sourceforge.net/libdxfrw/%{name}-%{version}.tar.bz2
Patch0:		libdxfrw-LibreCad-2.1.0-changes.patch
Patch1:		0001-Add-changes-from-LibreCad-2.1.3.patch

%description
c++ library to read/write dxf files in binary and ascii form and to read dwg
from r14.

%package -n %{libname}
Summary:	Library to read dwg and read/write dxf files

%description -n %{libname}
c++ library to read/write dxf files in binary and ascii form and to read dwg
from r14.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%package -n dwg2dxf
Summary:	Program to convert dwg/dxf to dxf (ascii and binary)
Group:		Graphics/Editors and Converters

%description -n dwg2dxf
This package contains the dwg2dxf tool to convert dwg/dxf files to
dxf (ascii and binary) file.

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n dwg2dxf
%{_bindir}/dwg2dxf

%files -n %{libname}
%doc AUTHORS NEWS README TODO
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}%{major}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}%{major}.pc


%changelog
* Sun Jan 08 2017 wally <wally> 0.6.3-4.mga6
+ Revision: 1080616
- add patch to apply changes from librecad 2.1.3

* Wed Aug 17 2016 wally <wally> 0.6.3-3.mga6
+ Revision: 1046578
- add patch to apply changes from librecad 2.1.0

* Mon Feb 15 2016 umeabot <umeabot> 0.6.3-2.mga6
+ Revision: 960952
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 wally <wally> 0.6.3-1.mga6
+ Revision: 895406
- new version 0.6.3

* Sun Aug 23 2015 wally <wally> 0.6.1-1.mga6
+ Revision: 868288
- imported package libdxfrw

